package com.sw.mes.auth.service;

import com.sw.mes.auth.domain.AuthPermission;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author JS111816
 * @description 针对表【auth_permission(【系统域—系统管理】菜单配置)】的数据库操作Service
 * @createDate 2022-05-19 13:54:21
 */
public interface AuthPermissionService extends IService<AuthPermission> {
    List<AuthPermission> getByUserId(Integer userId);

    List<AuthPermission> listAll();

    @Override
    boolean saveOrUpdate(AuthPermission permission);
}
